dbus/test/python run-test.sh, 1.1, 1.2 test-client.py, 1.1, 1.2 test-service.py, 1.1, 1.2

John Palmieri johnp at freedesktop.org
Thu Aug 25 21:23:35 PDT 2005


Update of /cvs/dbus/dbus/test/python
In directory gabe:/tmp/cvs-serv1991/test/python

Modified Files:
	run-test.sh test-client.py test-service.py 
Log Message:
* s/Message(_create=0)/EmptyMessage everywhere else

* test/python/test-{server|client}.py: add the python/.libs directory
  to the lookup path so dbus_bindings and dbus_glib_bindings don't
  get picked up from the system


Index: run-test.sh
===================================================================
RCS file: /cvs/dbus/dbus/test/python/run-test.sh,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -d -r1.1 -r1.2
--- run-test.sh	25 Aug 2005 00:20:41 -0000	1.1
+++ run-test.sh	26 Aug 2005 04:23:33 -0000	1.2
@@ -29,6 +29,6 @@
 
 ln -s $DBUS_TOP_BUILDDIR/python $DBUS_TOP_BUILDDIR/python/dbus
 echo "running test-client.py"
-$DBUS_TOP_BUILDDIR/test/python/test-client.py || die "test-client.py failed"
+libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/python/test-client.py || die "test-client.py failed"
 rm $DBUS_TOP_BUILDDIR/python/dbus
 

Index: test-client.py
===================================================================
RCS file: /cvs/dbus/dbus/test/python/test-client.py,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -d -r1.1 -r1.2
--- test-client.py	25 Aug 2005 00:20:41 -0000	1.1
+++ test-client.py	26 Aug 2005 04:23:33 -0000	1.2
@@ -6,8 +6,10 @@
 pydir = builddir + "/python"
 
 sys.path.insert(0, pydir)
+sys.path.insert(0, pydir + "/.libs")
 
 import dbus
+import dbus_bindings
 
 if not dbus.__file__.startswith(pydir):
     raise Exception("DBus modules are not being picked up from the package")

Index: test-service.py
===================================================================
RCS file: /cvs/dbus/dbus/test/python/test-service.py,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -d -r1.1 -r1.2
--- test-service.py	25 Aug 2005 00:20:41 -0000	1.1
+++ test-service.py	26 Aug 2005 04:23:33 -0000	1.2
@@ -6,6 +6,7 @@
 pydir = builddir + "/python"
 
 sys.path.insert(0, pydir)
+sys.path.insert(0, pydir + '/.libs')
 
 import dbus
 
@@ -29,6 +30,5 @@
 session_bus = dbus.SessionBus()
 name = dbus.service.BusName("org.freedesktop.DBus.TestSuitePythonService", bus=session_bus)
 object = TestObject(name)
-
 loop = gobject.MainLoop()
 loop.run()



More information about the dbus-commit mailing list